DEBRSIGN(1)

BEZEICHNUNG
debrsign - signiert mittels SSH ein Debian-.changes- und .dsc-Dateipaar aus der Ferne

ÜBERSICHT
debrsign [Optionen] [Benutzer@]ferner_Rechner [Changes-Datei|Dsc-Datei]

BESCHREIBUNG
debrsign nimmt entweder eine nicht signierte .dsc-Datei oder eine nicht signierte .changes-Datei und die zugehörige .dsc-Datei entgegen (gefunden durch Ersetzen des Architekturnamens und .changes durch .dsc), falls sie in der .changes-Datei auftaucht, und signiert sie, indem sie mittels ssh(1) auf den fernen Rechner kopiert werden und debsign(1) aus der Ferne auf diesem Rechner ausgeführt wird. Alle Optionen, die nicht nachfolgend aufgeführt sind, werden an das Programm debsign auf dem fernen Rechner weitergegeben.

Falls eine .changes- oder .dsc-Datei angegeben wurde, wird sie signiert, andernfalls wird debian/changelog ausgewertet, um den Namen der .changes-Datei zu bestimmen, nach der im übergeordneten Verzeichnis gesucht werden soll.

Dieses Hilfswerkzeug ist nützlich, falls ein Entwickler ein Paket auf einem Rechner bauen muss, der zum Signieren zu unsicher ist; er muss dann nur die kleinen .dsc- und .changes-Dateien auf den sicheren Rechner übertragen und dann das Programm debsign verwenden, um sie vor der Rückübertragung zu signieren. Dieses Programm automatisiert diesen Prozess.

Um es andersherum durchzuführen,d.h. sich mit einem unsicheren Rechner zu verbinden, um die .dsc- und .changes-Dateien herunterzuladen, sie lokal zu signieren und dann zurückzuübertragen, siehe das Programm debsign(1), das diese Aufgabe erledigen kann.

OPTIONEN

-S  sucht nach einer reinen Quell-.changes-Datei anstatt einer .changes-Datei eines Binärbaus.

-aDebian-Architektur, -tGNU-Systemtyp
    Eine Beschreibung dieser Optionen finden Sie unter dpkg-architecture(1). Sie beeinflussen die Suche nach der .changes-Datei. Sie werden bereitgestellt, um das Verhalten von dpkg-buildpackage nachzumachen, wenn der Name der .changes-Datei festgestellt wird.

--multi
    Multiarch-Änderungsmodus: Dies bedeutet, dass debrsign die aktuellste Datei mit dem Namensmuster Paket_Version_*+*.changes als .changes-Datei verwenden soll, was durch dpkg-cross erstellte .changes-Dateien ermöglicht.

--path ferner_Pfad
    gibt einen Pfad zum GPG-Programm auf dem fernen Rechner an.

--help, --version
    zeigt Hilfenachricht beziehungsweise Versionsinformationen.

andere Optionen
    Alle anderen Optionen werden debsign auf dem fernen Rechner übergeben.

KONFIGURATIONSVARIABLEN
Die beiden Konfigurationsdateien /etc/devscripts.conf und ~/.devscripts werden in dieser Reihenfolge eingelesen, um Konfigurationsvariablen zu setzen. Befehlszeilenoptionen können benutzt werden, um Einstellungen in Konfigurationsdateien zu setzen. Einstellungen in Umgebungsvariablen werden zu diesem Zweck ignoriert. Die derzeit bekannten Variablen sind:

DEBRSIGN_PGP_PATH
    entspricht der Übergabe von --path auf der Befehlszeile (siehe oben).

SIEHE AUCH
debsign(1), dpkg-architecture(1) und ssh(1)

AUTOR
Dieses Programm wurde von Julian Gilbey <jdg@debian.org> geschrieben und unterliegt dem Copyright gemäß der GPL, Version 2 oder später.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <URL:https://po4a.org/> durch Chris Leick c.leick@vollbio.de im Juli 2012 erstellt und vom deutschen Debian-Übersetzer-Team korrekturgelesen. Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket devscripts. Sie können mit dem folgenden Befehl das englische Original anzeigen »man -L C Abschnitt deutsche_Handbuchseite«.